import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_UpdateBotCommand, se_UpdateBotCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class UpdateBotCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("LexModelBuildingServiceV2", "UpdateBot", {})
    .n("LexModelsV2Client", "UpdateBotCommand")
    .f(void 0, void 0)
    .ser(se_UpdateBotCommand)
    .de(de_UpdateBotCommand)
    .build() {
}
