import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { UpdateExportRequestFilterSensitiveLog } from "../models/models_1";
import { de_UpdateExportCommand, se_UpdateExportCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class UpdateExportCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("LexModelBuildingServiceV2", "UpdateExport", {})
    .n("LexModelsV2Client", "UpdateExportCommand")
    .f(UpdateExportRequestFilterSensitiveLog, void 0)
    .ser(se_UpdateExportCommand)
    .de(de_UpdateExportCommand)
    .build() {
}
