import { WaiterConfiguration, WaiterResult } from "@smithy/util-waiter";
import { DescribeExportCommandInput } from "../commands/DescribeExportCommand";
import { LexModelsV2Client } from "../LexModelsV2Client";
/**
 * Wait until a bot has been exported
 *  @deprecated Use waitUntilBotExportCompleted instead. waitForBotExportCompleted does not throw error in non-success cases.
 */
export declare const waitForBotExportCompleted: (params: WaiterConfiguration<LexModelsV2Client>, input: DescribeExportCommandInput) => Promise<WaiterResult>;
/**
 * Wait until a bot has been exported
 *  @param params - Waiter configuration options.
 *  @param input - The input to DescribeExportCommand for polling.
 */
export declare const waitUntilBotExportCompleted: (params: WaiterConfiguration<LexModelsV2Client>, input: DescribeExportCommandInput) => Promise<WaiterResult>;
